cap log close
log using "$log\Auswertungen_RR_CATI.log", replace


*--------------------------------*
* Analysis CATI-Experiment 
*--------------------------------*

* load data
use "$temp\03_aufber_EXP_kw$aktkw.dta", clear 

* keep CATI 
	keep if mode_exp == 2

	
** compare interview rATE BETWEEN  low and high propensities

	// Interviews
	tab low_prop_cati interview, ro 					
	tab expw14 interview, ro 							
	tabstat interview, by(expw14) statistics(N mean)  

	// Regression CATI
	logit interview i.expw14, cluster(INTNR)	
	margins expw14, pwcompare(pveffects)		

	gen bef_inc = 0
	replace bef_inc = 1 if expw14 == 21 // respondent incentive
	
	save "$temp\cati_aufbereitung_mit_high.dta", replace	

	drop if expw14 == 0 // drop high propensity cases
	tab expw14


	// Regression CATI
	logit interview i.expw14, cluster(INTNR)		
	margins expw14, pwcompare(pveffects)
	logit interview i.expw14, cluster(INTNR)		
	eststo ame2: margins expw14, post				// predicted values
	


			
	save "$temp\cati_aufbereitung_ohne_high.dta", replace	

	
log close