clear
version 17
set more off
capture log close
set mem 250m

*************************************************************
*** Master-File for data preparation
*** Data sources: 	- PASS-Scientific Use File, PASS_0618_v1 & PASS paradata
***					- PASS preliminary data wave 13
*************************************************************

** Globals
global data 			"ORIG\PASS_0618_v1"
global data_dur			"ORIG\Int_duration"
global data_con			"ORIG\Contact_data"
global data_int			"ORIG\Int_data"
global intnr 			"ORIG\PASS_0618_v1_int"
global data_13			"ORIG\Raw_w13"
global data_suf13		"ORIG\PRE_PASS_0619"
global data_14			"ORIG\Sample_w14"

global tmp 				"DATA"

global do 				"PROG\stata_data"

	
** Dofiles wave 4-12 preparation
do $do\02a_IntDur.do			 // Interviewer duration
do $do\02b_ContactData.do		 // Contact data
do $do\02c_IntQuest.do			 // Interviewer questionnaire
do $do\02d_preparation_suf.do

** Dofile wave 13 Preparation
do $do\03_preparation_prel_data.do 